/*------------ Telecommunications & Signal Processing Lab --------------
                         McGill University

Routine:
  LPanal.h

Description:
  Declarations for LPanal

Author / revision:
  P. Kabal  Copyright (C) 1996
  $Revision: 1.8 $  $Date: 1996/08/14 18:44:44 $

----------------------------------------------------------------------*/

#ifndef LPanal_h_
#define LPanal_h_

#define PROGRAM "LPanal"
#define VERSION	"v1r5  1996/08/13"

#define MAXWINDOW	512
#define MAXFRAME	512
#define MAXNP		50

#include <libtsp.h>			/* typedef for AFILE */

#ifdef __cplusplus
extern "C" {
#endif

/* Prototypes */
void
LPoptions p_((int argc, const char *argv[], int *Fstats, const char **Hinfo,
	      const char *Fname[]));
void
LPlpcAnal p_((AFILE *AFpI, AFILE *AFpL, AFILE *AFpO, int Fstats, double pre,
	      const float Win[], int Lwin, int Woffs, int Lframe, int Np,
	      double bwexp));
void
LPlpcPar p_((const char Fname[], float *pre, const float **Win, int *Lwin,
	     int *Woffs, int *Lframe, int *Np, float *bwexp));

#ifdef __cplusplus
}
#endif

#endif /* LPanal_h_ */
