/*------------ Telecommunications & Signal Processing Lab --------------
                         McGill University

Routine:
  LPsyn.h

Description:
  Declarations for LPsyn

Author / revision:
  P. Kabal  Copyright (C) 1995
  $Revision: 1.8 $  $Date: 1995/09/12 17:50:54 $

----------------------------------------------------------------------*/

#ifndef LPsyn_h_
#define LPsyn_h_

#define PROGRAM "LPsyn"
#define VERSION	"v1r3  1995/09/12"

#define MAXWINDOW	512
#define MAXFRAME	512
#define MAXNP		50

#include <libtsp.h>			/* typedef for AFILE */

#ifdef __cplusplus
extern "C" {
#endif

/* Prototypes */
void
LPoptions p_((int argc, const char *argv[], int *Fstats, const char **Hinfo,
	      const char *Fname[]));
void
LPlpcSyn p_((AFILE *AFpI, AFILE *AFpL, AFILE *AFpO, int Fstats, double pre,
	      int Lframe, int Np));
void
LPlpcPar p_((const char Fname[], float *pre, const float **Win, int *Lwin,
	     int *Woffs, int *Lframe, int *Np, float *bwexp));

#ifdef __cplusplus
}
#endif

#endif /* LPsyn_h_ */
